summaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
authorIWASE Yusuke <iwase.yusuke0@gmail.com>2016-11-29 17:21:59 +0900
committerFUJITA Tomonori <fujita.tomonori@lab.ntt.co.jp>2016-12-14 13:23:33 +0900
commitcad9c8a94031cc2297a725b24d1f0532092288aa (patch)
tree51c79b060194e132246816f9ffcbd5a017ab7bd0
parent6da65f508e4237ea857798ca38fe590742fda199 (diff)
install_docker_test_pkg: Remove unnecessary pip pacakges
Signed-off-by: IWASE Yusuke <iwase.yusuke0@gmail.com> Signed-off-by: FUJITA Tomonori <fujita.tomonori@lab.ntt.co.jp>
-rw-r--r--ryu/tests/integrated/common/install_docker_test_pkg_common.sh18
-rw-r--r--ryu/tests/integrated/common/install_docker_test_pkg_for_travis.sh1
2 files changed, 10 insertions, 9 deletions
diff --git a/ryu/tests/integrated/common/install_docker_test_pkg_common.sh b/ryu/tests/integrated/common/install_docker_test_pkg_common.sh
index 08b059ac..44a3e107 100644
--- a/ryu/tests/integrated/common/install_docker_test_pkg_common.sh
+++ b/ryu/tests/integrated/common/install_docker_test_pkg_common.sh
@@ -4,7 +4,6 @@ set -ex
function init_variables {
APTLINE_DOCKER=0
DIR_BASE=/tmp
- SUDO_PIP=""
}
function process_options {
@@ -21,17 +20,20 @@ function process_options {
shift; ((i++))
DIR_BASE=$1
;;
- -s|--sudo-pip)
- SUDO_PIP=sudo
- ;;
esac
shift; ((i++))
done
}
+function install_pipework {
+ if ! which /usr/local/bin/pipework >/dev/null
+ then
+ sudo rm -rf $DIR_BASE/pipework
+ git clone https://github.com/jpetazzo/pipework.git $DIR_BASE/pipework
+ sudo install -m 0755 $DIR_BASE/pipework/pipework /usr/local/bin/pipework
+ fi
+}
+
function install_depends_pkg {
- sudo rm -rf $DIR_BASE/pipework
- git clone https://github.com/jpetazzo/pipework.git $DIR_BASE/pipework
- sudo install -m 0755 $DIR_BASE/pipework/pipework /usr/local/bin/pipework
- $SUDO_PIP pip install pycrypto nsenter
+ install_pipework
}
diff --git a/ryu/tests/integrated/common/install_docker_test_pkg_for_travis.sh b/ryu/tests/integrated/common/install_docker_test_pkg_for_travis.sh
index 9128c777..d8c3b499 100644
--- a/ryu/tests/integrated/common/install_docker_test_pkg_for_travis.sh
+++ b/ryu/tests/integrated/common/install_docker_test_pkg_for_travis.sh
@@ -7,7 +7,6 @@ source ${RYU_PATH}/install_docker_test_pkg_common.sh
init_variables
process_options "$@"
-SUDO_PIP=""
sudo apt-get update
install_depends_pkg